Randomize-II FTP Archive: Supreme Commander
/pub/Game-Files/SupCom/

Supreme Commander FTP Archive on Randomize-II
This is the FTP Archive on Randomize-II. It contains the following:
Patches
Maps
Units
Demo
Supreme Commander Beta
Media
Documents
Utilities
Third-Party stuff

Latest Files
The following are the latest files available for Supreme Commander:

Supreme Commander Patch v1.0.3220 [3217 README] [3220 README]
Supreme commander Hotfix v1.0.3223
GPGnet Patch v1.5.52.36494 to v1.5.58.21925

Patches
Supreme Commander
Currently build numbers are being used to identify different versions of Supreme Commander. The retail (gold) versions build number is 3189 - a clean install will have this build number.

The following incremental patches are available:
v1.0.3189 (retail/gold version) to v1.0.3217
v1.0.3217 to v1.0.3220
v1.0.3220 to v1.0.3223

The following are standalone patches. These patch from the retail/gold version (v1.0.3189) up to the version stated:
v1.0.3220

See 01-README.txt for patch release notes

This patch removes SecuROM security checks
Some people have experienced difficulties involving missing or invalid INI/Registry entries when trying to patch up to build 3217. 3217 revision B has been released which should correct these issues. Asside from this it is no different. You can get the revised patcher here.
GPGnet
To install a GPGnet patch you must copy the patch to the GPGnet directory and run it from there. Not all GPGnet patches released have been archived here. As a result these patches may not work on certain versions of GPGnet.
v1.5.52.36494 to v1.5.58.21925

Maps
There are no official maps available at this stage.

Units
There are no official units available at this stage.

Supreme Commander: Demo
Demo
Demo Tutorials

Supreme Commander: Beta
The Supreme Commander beta is now closed. It is possible to play Skirmish or LAN games using version 1.0.27 and the appropriate hack. Versions 3.0 or above require a connection to the internet to operate and so will no longer work. The 1.0.27 LAN/Skirmish hack is not compatible with any other version - the game engine in 1.0.30+ has been adjusted to require an internet connection. This can not be changed.
Supreme Commander Beta 1.0.20
Supreme Commander Beta 1.0.38
Patches
1.0.20 to 1.0.27
1.0.27 to 1.0.30
1.0.30 to 1.0.38
1.0.38 to 1.0.44
1.0.44 to 1.0.49
1.0.49 to 1.0.52
1.0.52 to 1.0.53
Hacks
1.0.27 Skirmish/LAN hack
Tutorials
FilePlanet Beta Tutorial Movies
Documents
Beta Basics FAQ
Beta Close Email

Media
FilePlanet Beta Tutorial Movies
Demo Tutorials
Other Media

Documents
Multiplayer FAQ
readme.txt
Manual
Patch 3217 readme
Patch 3220 readme

Utilities
headers, parsers and examples of SupCom animation and model formats

Third Party stuff
Supreme Scenario Editor v0.38 BETA
Supreme Scenario Editor v0.40 BETA